Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-8729

mysql : Could not prefetch mysql_user provider 'mysql': invalid byte sequence in UTF-8

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: mysql
    • Labels:
      None
    • Environment:

      puppetserver version: 6.2.1
      puppetagent version: 6.3.0
      puppetlabs-mysql version: 8.0.0

    • Template:
      MODULES Bug Template
    • Method Found:
      Manual Test
    • QA Risk Assessment:
      Needs Assessment

      Description

      Puppet agent fail apply catalog with error: 

      Info: Applying configuration version '7c500a4efa999a3ba6120eaa113da6bc9d40685f'
      Error: Could not prefetch mysql_user provider 'mysql': invalid byte sequence in UTF-8
      Error: Failed to apply catalog: invalid byte sequence in UTF-8
      

      this error happen when i create mysql user

      create user 'ñ'@'localhost';
      Query OK, 0 rows affected (0.01 sec)'
      

      U+00F1	ñ	0xc3 0xb1	LATIN SMALL LETTER N WITH TILDE
      

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            Manyushin Viktor
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:

                Zendesk Support